Subject: Re: bug#58282: Distinguishing glasses-mode display

From: Christopher Dimech <[email-masked]>
Date: Tue, 4 Oct 2022 16:52:44 +0200

> Sent: Wednesday, October 05, 2022 at 2:46 AM
> From: "uzibalqa" <[email-masked]>
> To: "Eli Zaretskii" <[email-masked]>
> Cc: "Christopher Dimech" <[email-masked]>, [email-masked]
> Subject: Re: bug#58282: Distinguishing glasses-mode display
>
> ------- Original Message -------
> On Tuesday, October 4th, 2022 at 12:43 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> 
> > > From: Christopher Dimech [email-masked]
> > > Cc: uzibalqa [email-masked], [email-masked]
> > > Date: Tue, 4 Oct 2022 13:47:33 +0200
> > > 
> > > > I think we have this already: customize glasses-face to some distinct
> > > > face, like 'bold'. Then the capital letters of identifiers where
> > > > glasses.el inserted underscores will be shown in bold, and you can
> > > > visually distinguish them from the original underscores.
> > > 
> > > Because I use bold font the default does not work for me.
> > 
> > 
> > ??? What default? The default is that glasses-face is just nil, so no
> > special face is put on any parts of the identifiers. 'bold' was just
> > an example of a non-default face; you can use any face there.
> > 
> > > I want to make the changes in my init file. How can I change the
> > > foreground and background colour of the glasses matches?
> > 
> > 
> > You can't. This face is not about changing the matches, it is about
> > changing the appearance of the capital letters in identifiers where
> > glasses-mode adds the separator (which is underscore _ by default)
> > 
> > > Is it possible for users to use a UTF8 Code as separator, and if so,
> > > how can this be done?
> > 
> > 
> > Customize the variable glasses-separator. (This has nothing to do
> > with the original bug report, though.)
> 
> How can I change the colour of the capital letters or use utf8 using
> elisp commands?  
 
You could just do 

(setq glasses-separator "➾")

with the character being a utf8 symbol.